import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router/index'//引入路由
//ant-design-vue
import Antd from "ant-design-vue";
import "ant-design-vue/dist/antd.css";
import * as Icons from '@ant-design/icons-vue';
// import base from './base';
import DataVVue3 from '@kjgl77/datav-vue3'

// 引用
import {createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';

// 创建Pinia实例
const Pinia = createPinia()
Pinia.use(piniaPluginPersistedstate);
import dayjs from 'dayjs';
import 'dayjs/locale/zh-cn';
dayjs.locale('zh-zn');
const app = createApp(App)

app.use(router)
    .use(Antd)
    // .use(base)
    .use(Pinia)
    .use(DataVVue3)
    .mount('#app')
for (const i in Icons){
    app.component(i,Icons[i])
}